<?php
if (!$prefs->isLocked('default_calendar')):
    if (!($calendars = @unserialize($prefs->getValue('calendars'))) || count($calendars) == 0) {
        $calendars = array();
        $calendars[0] = array('id' => _("Personal"));
    }

    if (($default_calendar = $prefs->getValue('default_calendar')) == null ||
        !isset($calendars[$default_calendar])) {
        $default_calendar = 0;
    }
?>

<?php echo _("Your default calendar:") ?><br />
<select name="default_calendar" class="fixed">
<?php for ($i = 0; $i < count($calendars); $i++): ?>
    <option value="<?php echo $i ?>"<?php if ($i == $default_calendar) echo ' selected="selected"'; ?>><?php echo $calendars[$i]['id']?></option>
<?php endfor; ?>
</select><br /><br />
<?php endif; ?>
